

# <center>Fab Academy Week 11 outputs
 /center>

<center>![](assets/)</center>
http://fab.academany.org/2019/labs/barcelona/local/wa/week11/


actuators

## magnetism

electromagnetic coils
current> magnetic field

tweaks to mechanical and electrical parameters makes different movements

dc motos
brushes switch current

brushless motors

servomotors are small dc moters connected with a potentiomeeter - varies resistance.. you can know the position of the motor - small chip read potentioment and turns on aoff

steppermotors
tiny microstepping controllong amount of voltage

relay
current and small coil
control any kind of device
mechanical

solid state relay
like a transistor

speakers

## current to photons
LEDS
blows at certain current - use a resistor in series - using milliamps the led should work at and calculate this


control by current
controlled by on off or PWM
in microcontrollers we
digitalWrite (HIGH)
or digitalWrite (LOW)


## PWM Control
post with modulation - turn a pin on and off very quickly than - more power smaller circuit with less heat (like a dimmer)
water analogy
is heat the analogy for magnetism? #

american tv 30 frames we use 25
duty cycle is an indicator of power

analogueWrite can be a point in the middle of high and low
Syntax	analogWrite( pin , value )
Parameters	pin int: The PWM output pin number value int: a value in the range 0-255

oscilloscope - change anlogue write value

coil oscilloscope
cathode ray

control coil of dc motor - can be done with a PWM coding

3ledcontrolled by pwm each

a lot of energy for strip leds

### Addressible LEDs - Neopixels - ws2812
3leds and a small computer through one wire it recieves information - the protocol to send data is complicated but there is a library called fastled that you can use with attiny - addr


### LCDs
Liquid crystal display
sandwich of layers containin liquid crystals - microorientation from positions

https://www.researchgate.net/publication/235415638_Electro-optical_control_in_a_plasmonic_metamaterial_hybridised_with_a_liquid-crystal_cell/figures?lo=1

PAL TV

Video - like phono lead

outputting digital video is not possible from the attiny

Electrolumniscent  - bioluminescent



## piezos
Quartz-Based Piezoelectric Materials -
some buzzers

### Controlling piezos

tone command in arduino
tone(pin, freq)

## speakers

elsctromagnet
magnet attached to cone

standard audio sample rate - 44khz normal (audible rande is 20k i think)
the voltage determines themovement - small movement high stiffness?


leveraging resonance

## Servos - always have a control chip

potentiometer measure the position of the gears
this signal can be used to program stuff

theres an onboard chip
50 pulses/ s is instruction trigger
library - to send an angle converted to a pulse with a specific "on" langth

## mosfets and rsistors

allow us to use high voltage from low signal
more than 5v or 40amp requires a mosfet


analogue write(0-255) for 8bit
PWM -

## stepper



unipolar - 6 cables - less efficient older -  1 h bridge control - simpler logic


bipolar -2 h bridge more control

easydriver - on adafruit - to control seepper - DIR pin one STEP pin - 1 pulse = 1 pulse

https://learn.sparkfun.com/tutorials/easy-driver-hook-up-guide/all

a lot safer and quicker to buy designed controllers with more features
